Bloss Docs

Move a task's deadline

Developers
POST
/brands/{brandId}/onboarding/submissions/{submissionId}/extend

Set a new deadline for an open task of a submission in progress. Send exactly one of: addHours (1–1440, added to the current deadline, or to now if it has passed), dueAt (an ISO-8601 instant), or date and time (the brand's time zone). It must be in the future. The due-soon and overdue emails are sent again for the new deadline.

Authorization

bearerAuth onboarding:write
headerAuthorizationBearer <token>

Personal access token. Scopes: account:read, creator:read, creator:earnings, managed:read, coach:read, brand:read, creators:read, videos:read, analytics:read, onboarding:read, onboarding:signatures, engagement:read, support:read, integrations:read, payouts:read, funds:read, billing:read, groups:write, videos:write, onboarding:write, sync:write, payouts:write.

Scope: onboarding:write

Path Parameters

brandId*string

A brand id from GET /me or GET /creator/brands.

Length1 <= length
submissionId*string

An id from GET /brands/{brandId}/onboarding/submissions.

Length1 <= length

Request Body

application/json
  1. body
taskId*string

A task id from the submission's tasks (GET .../submissions/{submissionId}).

Length1 <= length
addHours?integer

Hours to add.

Range1 <= value <= 1440
dueAt?string

The new deadline, ISO-8601.

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Formatdate-time
date?string

YYYY-MM-DD in the brand's time zone, with time.

Match^\d{4}-\d{2}-\d{2}$
time?string

HH:mm in the brand's time zone, with date.

Match^\d{2}:\d{2}$

Response Body

Success.

application/json
  1. response
id*string
taskId*string
dueAt*string
curl -X POST 'https://example.com/api/v1/brands/string/onboarding/submissions/string/extend' \  -H 'Content-Type: application/json' \  -d '{  "taskId": "string"}'
{  "id": "string",  "taskId": "string",  "dueAt": "string"}

Was this page helpful?